﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Drawing2D;

namespace howto_fill_smoothing
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            int width, height;
            Bitmap bm;

            width = pictureBox1.ClientSize.Width;
            height = pictureBox1.ClientSize.Height;
            bm = new Bitmap(width, height);
            using (Graphics gr = Graphics.FromImage(bm))
            {
                gr.Clear(Color.Red);
                gr.FillRectangle(Brushes.White, 0, 0, width, height);
            }
            pictureBox1.Image = bm;

            width = pictureBox2.ClientSize.Width;
            height = pictureBox2.ClientSize.Height;
            bm = new Bitmap(width, height);
            using (Graphics gr = Graphics.FromImage(bm))
            {
                gr.SmoothingMode = SmoothingMode.AntiAlias;
                gr.Clear(Color.Red);
                gr.FillRectangle(Brushes.White, 0, 0, width, height);
            }
            pictureBox2.Image = bm;
        }
    }
}
